/**
 * Banner component.
 *
 * @author: Vaclav Hradec <vaclav@mihybrid.com>
 *
 */

'use strict';

import Banner from "mihbbtv/lib/components/banner";
import Button from "mihbbtv/lib/components/button";
import Item from "../models/item";

class AppBanner extends Banner {

  itemMarkup(item) {
    this.config.link = {
      id: item.id,
      type: item.type,
    };

    return ((item.img) ? ('<div id="' + this.container + 'Img" class="img"><div id="' + this.container + 'ImgShade" class="shade"></div><div id="' + this.container + 'ImgFilter" class="filter"></div><img id="' + this.container + 'ImgElm" src="' + item.img.replace('&', '&amp;') + '" /></div>') : '') +
    '<div id="' + this.container + 'Text" class="text">' +
      '<h2 id="' + this.container + 'TextTitle">' +
        item.title +
      '</h2>' +
      ((item.description) ? ('<p id="' + this.container + 'TextDescription">' + item.description + '</p>') : '') +
    '</div>' +
    Button.markup({
      id: this.container + 'Button',
      class: ((this.isActive) ? ' active' : ''),
      title: item.buttonTitle,
      rounded: {
        lft: true,
        rgt: true,
      }
    });
  }

  enterItem(app, scene) {
    return Item.enterItem(this.config.link, app, scene);
  }

}

export default AppBanner;
